import sys
from PyQt5.QtWidgets import QDialog, QApplication
from PyQt5 import QtCore, QtGui, QtWidgets
class AppWindow(QDialog):
    def __init__(self):
        super().__init__()
        self.setObjectName("Dialog")
        self.resize(800, 600)
        self.lineEdit = QtWidgets.QLineEdit(self)
        self.lineEdit.setGeometry(QtCore.QRect(70, 70, 211, 21))
        self.lineEdit.setObjectName("lineEdit")
        self.pushButton = QtWidgets.QPushButton(self)
        self.pushButton.setGeometry(QtCore.QRect(130, 110, 83, 28))
        self.pushButton.setObjectName("pushButton")
        self.SearchResults = QtWidgets.QTextEdit(self)
        self.SearchResults.setGeometry(QtCore.QRect(50, 140, 700, 400))
        font = QtGui.QFont()
        font.setFamily("Amiri")
        font.setPointSize(12)
        self.SearchResults.setFont(font)
        self.SearchResults.setToolTipDuration(0)
        self.SearchResults.setReadOnly(True)
        self.SearchResults.setAutoFormatting(QtWidgets.QTextEdit.AutoAll)
        self.SearchResults.setObjectName("SearchResults")

        doc = QtGui.QTextDocument()
        doc.setHtml("")
        doc.setDefaultStyleSheet("")
        self.SearchResults.setDocument(doc)

        self.retranslateUi(self)
        QtCore.QMetaObject.connectSlotsByName(self)


        self.SearchResults.append("وَسِعْتُ كِتابَ اللَّهِ لفظـــاً وَحِكمَــــةً")
        self.SearchResults.append("وَتَنسيـــقُ أسمــاءٍ لِمُخْتَرَعــــاتِ")

    def find1(self):
        cursor = self.SearchResults.textCursor()
        format = QtGui.QTextCharFormat()
        format.setBackground(QtGui.QBrush(QtGui.QColor("red")))
#        pp = self.m
        pattern1 = r'\b(?:{})\b'.format(self.lineEdit.text())
        regex = QtCore.QRegExp(pattern1)
        pos = 0
        index = regex.indexIn(self.SearchResults.toPlainText(), pos)
        tedad = 0
        while (index != -1):
            cursor.beginEditBlock()
            cursor.setPosition(index)
            cursor.movePosition(QtGui.QTextCursor.NextWord, QtGui.QTextCursor.KeepAnchor, 1)
            cursor.endEditBlock()
            cursor.mergeCharFormat(format)
            pos = index + regex.matchedLength()
            index = regex.indexIn(self.SearchResults.toPlainText(), pos)


    def retranslateUi(self, Dialog):
        _translate = QtCore.QCoreApplication.translate
        self.setWindowTitle(_translate("Dialog", "Dialog"))
        self.pushButton.setText(_translate("Dialog", "PushButton"))

        self.pushButton.clicked.connect(self.find1)
app = QApplication(sys.argv)
w = AppWindow()
w.show()
sys.exit(app.exec_())

